#include <stdio.h>
int main ()
{
  int i,j,k,n;
  scanf("%d",&n);
  
  if(n<1)
  {
    printf("-1\n");
    return 1;
  }
  
  for(i=0;i<n;i++)
  {
    for(k=0;k<n-1-i;k++)
      printf(" ");
    for(j=n;j<=n;j++)
      printf("*");
    for(j=n;j<n+i;j++)
      printf("A*");
    printf("\n");
  }
  return 0;
}
